import { TypeDeclaration } from './type-declaration';
export declare class ImportDirective {
    protected namespaceOrType: string;
    constructor(namespaceOrType: string);
    get implementation(): string;
}
export declare class ImportStaticDirective extends ImportDirective {
    constructor(namespace: string);
    get implementation(): string;
}
/** An Alias adds a using statement to a namespace, and can then be used as a type declaration too. */
export declare class Alias extends ImportDirective implements TypeDeclaration {
    aliasName: string;
    protected typeDeclaration: TypeDeclaration;
    constructor(aliasName: string, typeDeclaration: TypeDeclaration);
    get fullDefinition(): TypeDeclaration;
    get declaration(): string;
}
export declare function Import(namespace: string): ImportDirective;
export declare function ImportStatic(namespace: TypeDeclaration): ImportStaticDirective;
//# sourceMappingURL=import.d.ts.map