"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.Operator = void 0;
const codegen_1 = require("@azure-tools/codegen");
const method_1 = require("./method");
class Operator extends method_1.Method {
    constructor(name, objectIntializer) {
        super(name);
        this.apply(objectIntializer);
    }
    get declaration() {
        const parameterDeclaration = this.parameters.joinWith(p => p.declaration, codegen_1.CommaChar);
        return `
${this.summaryDocumentation}
${this.parameterDocumentation}
${this.returnsDocumentation}
${this.new}${this.access} ${this.static} ${this.virtual} ${this.sealed} ${this.override} ${this.abstract} ${this.extern} ${this.async} ${this.name}(${parameterDeclaration})
`.slim();
    }
}
exports.Operator = Operator;
//# sourceMappingURL=operator.js.map