"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.Project = void 0;
const codegen_1 = require("@azure-tools/codegen");
const codegen_2 = require("@azure-tools/codegen");
class Project extends codegen_1.Initializer {
    constructor(objectInitializer) {
        super();
        this.namespaces = new Array();
        this.apply(objectInitializer);
    }
    addNamespace(n) {
        this.namespaces.push(n);
        return n;
    }
    async init() {
        return this;
    }
    async writeFiles(writer) {
        await codegen_2.pall(this.namespaces, async (ns) => ns.writeFiles(writer));
    }
}
exports.Project = Project;
//# sourceMappingURL=project.js.map