"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.Finally = exports.FinallyStatement = void 0;
const codegen_1 = require("@azure-tools/codegen");
const statement_1 = require("./statement");
class FinallyStatement extends statement_1.Statements {
    constructor(body, objectInitializer) {
        super(body);
        this.apply(objectInitializer);
    }
    get implementation() {
        return `
finally
{
${codegen_1.indent(super.implementation)}
}`.trim();
    }
}
exports.FinallyStatement = FinallyStatement;
function Finally(body, objectInitializer) {
    return new FinallyStatement(body, objectInitializer);
}
exports.Finally = Finally;
//# sourceMappingURL=finally.js.map