import { Initializer } from '@azure-tools/codegen';
import { Access } from './access-modifier';
import { Attribute } from './attribute';
import { Method } from './method';
import { TypeContainer, IInterface } from './type-container';
import { Property } from './property';
import { TypeDeclaration } from './type-declaration';
export declare class Type extends Initializer implements TypeDeclaration {
    namespace: TypeContainer;
    name: string;
    description: string;
    methods: Method[];
    properties: Property[];
    genericParameters: string[];
    where?: string;
    interfaces: IInterface[];
    accessModifier: Access;
    attributes: Attribute[];
    partial: boolean;
    private filename;
    protected get attributeDeclaration(): string;
    constructor(namespace: TypeContainer, name: string, objectIntializer?: Partial<Type>);
    get fileName(): string;
    set fileName(value: string);
    toString(): string;
    get allProperties(): Array<Property>;
    get genericDeclaration(): string;
    get fullName(): string;
    get declaration(): string;
    get definition(): string;
    validation(propertyName: string): string;
    addProperty(property: Property): Property;
    addMethod(method: Method): Method;
    add<T extends object>(item: T & (Method | Property | Attribute)): T;
}
//# sourceMappingURL=type.d.ts.map